{"componentChunkName":"component---src-templates-docs-js","path":"/whatsapp/messaging/with_template/coupons_and_offers","result":{"data":{"site":{"siteMetadata":{"title":"broadcaster","docsLocation":"https://github.com","docsLocationType":"github","editable":false}},"mdx":{"fields":{"id":"1c84872f-df26-585d-986f-ee76c60c3158","title":"Coupons and limited-time offers","slug":"/whatsapp/messaging/with_template/coupons_and_offers"},"body":"function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }\n\nfunction _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }\n\nfunction _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }\n\n/* @jsx mdx */\nvar _frontmatter = {\n  \"title\": \"Coupons and limited-time offers\",\n  \"order\": 6\n};\nvar layoutProps = {\n  _frontmatter: _frontmatter\n};\nvar MDXLayout = \"wrapper\";\nreturn function MDXContent(_ref) {\n  var components = _ref.components,\n      props = _objectWithoutProperties(_ref, [\"components\"]);\n\n  return mdx(MDXLayout, _extends({}, layoutProps, props, {\n    components: components,\n    mdxType: \"MDXLayout\"\n  }), mdx(\"blockquote\", null, mdx(\"p\", {\n    parentName: \"blockquote\"\n  }, mdx(\"strong\", {\n    parentName: \"p\"\n  }, \"Integration summary\")), mdx(\"ul\", {\n    parentName: \"blockquote\"\n  }, mdx(\"li\", {\n    parentName: \"ul\"\n  }, mdx(\"strong\", {\n    parentName: \"li\"\n  }, \"Endpoint:\"), \" \", mdx(\"inlineCode\", {\n    parentName: \"li\"\n  }, \"POST https://{{url}}/whatsapp-bsp-api-endpoint-ws/services/v1/messaging\")), mdx(\"li\", {\n    parentName: \"ul\"\n  }, mdx(\"strong\", {\n    parentName: \"li\"\n  }, \"Token:\"), \" messaging token, in the \", mdx(\"inlineCode\", {\n    parentName: \"li\"\n  }, \"Authorization: Bearer {{wa-msg-api-token}}\"), \" header (\", mdx(\"a\", {\n    href: \"/whatsapp/authentication_token\"\n  }, \"how to generate it\"), \")\"), mdx(\"li\", {\n    parentName: \"ul\"\n  }, mdx(\"strong\", {\n    parentName: \"li\"\n  }, \"Common fields:\"), \" \", mdx(\"inlineCode\", {\n    parentName: \"li\"\n  }, \"from\"), \", \", mdx(\"inlineCode\", {\n    parentName: \"li\"\n  }, \"to\"), \" (phone number or BSUID) and \", mdx(\"inlineCode\", {\n    parentName: \"li\"\n  }, \"type\"), \" (\", mdx(\"a\", {\n    href: \"/whatsapp/messaging/http#h-commonfields\"\n  }, \"details\"), \")\"), mdx(\"li\", {\n    parentName: \"ul\"\n  }, mdx(\"strong\", {\n    parentName: \"li\"\n  }, mdx(\"inlineCode\", {\n    parentName: \"strong\"\n  }, \"type\"), \" values on this page:\"), \" \", mdx(\"inlineCode\", {\n    parentName: \"li\"\n  }, \"\\\"template\\\"\")), mdx(\"li\", {\n    parentName: \"ul\"\n  }, mdx(\"strong\", {\n    parentName: \"li\"\n  }, \"Response:\"), \" the same for every message (\", mdx(\"a\", {\n    href: \"/whatsapp/messaging/http#h-response\"\n  }, \"see response\"), \")\"))), mdx(\"p\", null, \"Templates with coupon codes and limited-time offers. All are sent with \", mdx(\"a\", {\n    href: \"/whatsapp/messaging/http\"\n  }, \"POST /v1/messaging\"), \"; headers, common fields and the response are in \", mdx(\"a\", {\n    href: \"/whatsapp/messaging/http\"\n  }, \"HTTP connection\"), \". The general template structure (template and components objects) is in \", mdx(\"a\", {\n    href: \"/whatsapp/messaging/with_template\"\n  }, \"Template messages\"), \".\"), mdx(\"section\", {\n    \"id\": \"coupons\"\n  }, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Coupons\"), mdx(\"p\", {\n    parentName: \"section\"\n  }, \"Button that copies a coupon code: a \", mdx(\"inlineCode\", {\n    parentName: \"p\"\n  }, \"button\"), \" component with \", mdx(\"inlineCode\", {\n    parentName: \"p\"\n  }, \"subtype\"), \" \\\"copy_code\\\". In the parameter object, \", mdx(\"inlineCode\", {\n    parentName: \"p\"\n  }, \"type\"), \" must be \\\"coupon_code\\\".\")), mdx(\"section\", {\n    \"id\": \"coupons--body\"\n  }, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Body\"), mdx(\"p\", {\n    parentName: \"section\"\n  }, \"Fields for \", mdx(\"strong\", {\n    parentName: \"p\"\n  }, \"Coupons\"), \":\"), mdx(\"table\", {\n    parentName: \"section\"\n  }, mdx(\"thead\", {\n    parentName: \"table\"\n  }, mdx(\"tr\", {\n    parentName: \"thead\"\n  }, mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Name\"), mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Description\"), mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Type\"), mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Requirements\"))), mdx(\"tbody\", {\n    parentName: \"table\"\n  }, mdx(\"tr\", {\n    parentName: \"tbody\"\n  }, mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"type\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"The value is \\\"button\\\".\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"String\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Required\")), mdx(\"tr\", {\n    parentName: \"tbody\"\n  }, mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"subtype\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"The value is \\\"copy_code\\\".\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"String\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Required\")), mdx(\"tr\", {\n    parentName: \"tbody\"\n  }, mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"index\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Position of the button at the bottom of the template message, as a zero-based index: 0 is the first button, 1 the second, and so on.\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Integer\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Required\")), mdx(\"tr\", {\n    parentName: \"tbody\"\n  }, mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, mdx(\"a\", {\n    href: \"/whatsapp/messaging/with_template/coupons_and_offers#h-parametersobject\"\n  }, \"parameters\")), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"List of objects\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Required\"))))), mdx(\"section\", {\n    \"id\": \"coupons--body--parametersobject\"\n  }, mdx(\"h4\", {\n    parentName: \"section\"\n  }, \"Parameters object\"), mdx(\"table\", {\n    parentName: \"section\"\n  }, mdx(\"thead\", {\n    parentName: \"table\"\n  }, mdx(\"tr\", {\n    parentName: \"thead\"\n  }, mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Name\"), mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Description\"), mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Type\"), mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Requirements\"))), mdx(\"tbody\", {\n    parentName: \"table\"\n  }, mdx(\"tr\", {\n    parentName: \"tbody\"\n  }, mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"type\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"The value is \\\"coupon_code\\\".\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"String\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Required\")), mdx(\"tr\", {\n    parentName: \"tbody\"\n  }, mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"coupon_code\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"The coupon code that's copied when the customer taps the button.\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"String\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Required\"))))), mdx(\"section\", {\n    \"id\": \"coupons--example\"\n  }, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Example\"), mdx(\"p\", {\n    parentName: \"section\"\n  }, \"Complete \", mdx(\"strong\", {\n    parentName: \"p\"\n  }, \"Coupons\"), \" example (HTTP request and JSON body):\")), mdx(\"section\", {\n    \"id\": \"coupons--example--couponshttprequest\"\n  }, mdx(\"h4\", {\n    parentName: \"section\"\n  }, \"Coupons HTTP request\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl --location --request POST 'https://{{url}}/whatsapp-bsp-api-endpoint-ws/services/v1/messaging' \\\\\\n-H 'Authorization: Bearer {{wa-msg-api-token}}' \\\\\\n-H 'Content-Type: application/json' \\\\\\n-d '{\\n  \\\"from\\\": \\\"5215541697885\\\",\\n  \\\"to\\\": \\\"5614782109\\\",\\n  \\\"type\\\": \\\"template\\\",\\n  \\\"template\\\": {\\n    \\\"language\\\": \\\"en\\\",\\n    \\\"name\\\": \\\"concepto_movil_cupones_products\\\",\\n    \\\"components\\\": [\\n   \\n      {\\n        \\\"type\\\": \\\"body\\\",\\n        \\\"parameters\\\": [\\n          {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"25OFF\\\"\\n          },\\n          {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"25%\\\"\\n          }\\n        ]\\n      },\\n      {\\n        \\\"type\\\": \\\"button\\\",\\n        \\\"subtype\\\": \\\"copy_code\\\",\\n        \\\"index\\\": 1,\\n        \\\"parameters\\\": [\\n          {\\n            \\\"type\\\": \\\"coupon_code\\\",\\n            \\\"coupon_code\\\": \\\"25OFF\\\"\\n          }\\n        ]\\n      }\\n    ]\\n  }\\n}'\\n\"))), mdx(\"section\", {\n    \"id\": \"coupons--example--couponsbody\"\n  }, mdx(\"h4\", {\n    parentName: \"section\"\n  }, \"Coupons body\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-json\"\n  }, \"\\n{\\n  \\\"from\\\": \\\"5215541697885\\\",\\n  \\\"to\\\": \\\"5614782109\\\",\\n  \\\"type\\\": \\\"template\\\",\\n  \\\"template\\\": {\\n    \\\"language\\\": \\\"en\\\",\\n    \\\"name\\\": \\\"concepto_movil_cupones_products\\\",\\n    \\\"components\\\": [\\n   \\n      {\\n        \\\"type\\\": \\\"body\\\",\\n        \\\"parameters\\\": [\\n          {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"25OFF\\\"\\n          },\\n          {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"25%\\\"\\n          }\\n        ]\\n      },\\n      {\\n        \\\"type\\\": \\\"button\\\",\\n        \\\"subtype\\\": \\\"copy_code\\\",\\n        \\\"index\\\": 1,\\n        \\\"parameters\\\": [\\n          {\\n            \\\"type\\\": \\\"coupon_code\\\",\\n            \\\"coupon_code\\\": \\\"25OFF\\\"\\n          }\\n        ]\\n      }\\n    ]\\n  }\\n}\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", {\n    \"id\": \"limited-timeoffer\"\n  }, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Limited-time offer\"), mdx(\"p\", {\n    parentName: \"section\"\n  }, \"Lets you display expiration dates and countdown timers for offer codes. It is sent as a \", mdx(\"inlineCode\", {\n    parentName: \"p\"\n  }, \"limited_time_offer\"), \" component, usually together with a \\\"copy_code\\\" button.\")), mdx(\"section\", {\n    \"id\": \"limited-timeoffer--body\"\n  }, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Body\"), mdx(\"p\", {\n    parentName: \"section\"\n  }, \"Fields for \", mdx(\"strong\", {\n    parentName: \"p\"\n  }, \"Limited-time offer\"), \":\"), mdx(\"table\", {\n    parentName: \"section\"\n  }, mdx(\"thead\", {\n    parentName: \"table\"\n  }, mdx(\"tr\", {\n    parentName: \"thead\"\n  }, mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Name\"), mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Description\"), mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Type\"), mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Requirements\"))), mdx(\"tbody\", {\n    parentName: \"table\"\n  }, mdx(\"tr\", {\n    parentName: \"tbody\"\n  }, mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"type\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"The value is \\\"limited_time_offer\\\".\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"String\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Required\")), mdx(\"tr\", {\n    parentName: \"tbody\"\n  }, mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, mdx(\"a\", {\n    href: \"/whatsapp/messaging/with_template/coupons_and_offers#h-limited_time_offerobject\"\n  }, \"limited_time_offer\")), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Object that specifies the offer's expiration date.\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Object\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Required\"))))), mdx(\"section\", {\n    \"id\": \"limited-timeoffer--body--limited_time_offerobject\"\n  }, mdx(\"h4\", {\n    parentName: \"section\"\n  }, \"Limited_time_offer object\"), mdx(\"table\", {\n    parentName: \"section\"\n  }, mdx(\"thead\", {\n    parentName: \"table\"\n  }, mdx(\"tr\", {\n    parentName: \"thead\"\n  }, mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Name\"), mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Description\"), mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Type\"), mdx(\"th\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Requirements\"))), mdx(\"tbody\", {\n    parentName: \"table\"\n  }, mdx(\"tr\", {\n    parentName: \"tbody\"\n  }, mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"expiration_date_time\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"The exact date and time when the offer expires and is no longer available. Use the format \\\"YYYY-MM-DD HH:mm\\\". It is interpreted in the server's time zone. An invalid format returns error 1009.\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"String\"), mdx(\"td\", {\n    parentName: \"tr\",\n    \"align\": null\n  }, \"Required\"))))), mdx(\"section\", {\n    \"id\": \"limited-timeoffer--example\"\n  }, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Example\"), mdx(\"p\", {\n    parentName: \"section\"\n  }, \"Complete \", mdx(\"strong\", {\n    parentName: \"p\"\n  }, \"Limited-time offer\"), \" example (HTTP request and JSON body):\")), mdx(\"section\", {\n    \"id\": \"limited-timeoffer--example--limited-timeofferhttprequest\"\n  }, mdx(\"h4\", {\n    parentName: \"section\"\n  }, \"Limited-time offer HTTP request\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl --location --request POST 'https://{{url}}/whatsapp-bsp-api-endpoint-ws/services/v1/messaging' \\\\\\n-H 'Authorization: Bearer {{wa-msg-api-token}}' \\\\\\n-H 'Content-Type: application/json' \\\\\\n-d '{\\n  \\\"from\\\": \\\"5215541697885\\\",\\n  \\\"to\\\": \\\"5614782109\\\",\\n  \\\"type\\\": \\\"template\\\",\\n  \\\"template\\\": {\\n    \\\"language\\\": \\\"en\\\",\\n    \\\"name\\\": \\\"concepto_movil_olt_products\\\",\\n    \\\"components\\\": [\\n      {\\n        \\\"type\\\": \\\"header\\\",\\n        \\\"parameters\\\": [\\n          {\\n            \\\"link\\\": \\\"https://upload.wikimedia.org/wikipedia/commons/thumb/6/6b/WhatsApp.svg/1200px-WhatsApp.svg.png\\\",\\n            \\\"type\\\": \\\"image\\\"\\n          }\\n        ]\\n      },\\n      {\\n        \\\"type\\\": \\\"body\\\",\\n        \\\"parameters\\\": [\\n          {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"Pablo\\\"\\n          },\\n          {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"CARIBE25\\\"\\n          }\\n        ]\\n      },\\n      {\\n        \\\"type\\\": \\\"limited_time_offer\\\",\\n        \\\"parameters\\\": [\\n          {\\n            \\\"type\\\": \\\"limited_time_offer\\\",\\n            \\\"limited_time_offer\\\": {\\n              \\\"expiration_date_time\\\": \\\"2024-12-04 15:20\\\"\\n            }\\n          }\\n        ]\\n      },\\n      {\\n        \\\"type\\\": \\\"button\\\",\\n        \\\"subtype\\\": \\\"copy_code\\\",\\n        \\\"index\\\": 0,\\n        \\\"parameters\\\": [\\n          {\\n            \\\"type\\\": \\\"coupon_code\\\",\\n            \\\"coupon_code\\\": \\\"CARIBE25\\\"\\n          }\\n        ]\\n      },\\n      {\\n        \\\"type\\\": \\\"button\\\",\\n        \\\"subtype\\\": \\\"url\\\",\\n        \\\"index\\\": 1,\\n        \\\"parameters\\\": [\\n          {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"n3mtql\\\"\\n          }\\n        ]\\n      }\\n    ]\\n  }\\n}'\\n\"))), mdx(\"section\", {\n    \"id\": \"limited-timeoffer--example--limited-timeofferbody\"\n  }, mdx(\"h4\", {\n    parentName: \"section\"\n  }, \"Limited-time offer body\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-json\"\n  }, \"{\\n  \\\"from\\\": \\\"5215541697885\\\",\\n  \\\"to\\\": \\\"5614782109\\\",\\n  \\\"type\\\": \\\"template\\\",\\n  \\\"template\\\": {\\n    \\\"language\\\": \\\"en\\\",\\n    \\\"name\\\": \\\"concepto_movil_olt_products\\\",\\n    \\\"components\\\": [\\n      {\\n        \\\"type\\\": \\\"header\\\",\\n        \\\"parameters\\\": [\\n          {\\n            \\\"link\\\": \\\"https://upload.wikimedia.org/wikipedia/commons/thumb/6/6b/WhatsApp.svg/1200px-WhatsApp.svg.png\\\",\\n            \\\"type\\\": \\\"image\\\"\\n          }\\n        ]\\n      },\\n      {\\n        \\\"type\\\": \\\"body\\\",\\n        \\\"parameters\\\": [\\n          {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"Pablo\\\"\\n          },\\n          {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"CARIBE25\\\"\\n          }\\n        ]\\n      },\\n      {\\n        \\\"type\\\": \\\"limited_time_offer\\\",\\n        \\\"parameters\\\": [\\n          {\\n            \\\"type\\\": \\\"limited_time_offer\\\",\\n            \\\"limited_time_offer\\\": {\\n              \\\"expiration_date_time\\\": \\\"2024-12-04 15:20\\\"\\n            }\\n          }\\n        ]\\n      },\\n      {\\n        \\\"type\\\": \\\"button\\\",\\n        \\\"subtype\\\": \\\"copy_code\\\",\\n        \\\"index\\\": 0,\\n        \\\"parameters\\\": [\\n          {\\n            \\\"type\\\": \\\"coupon_code\\\",\\n            \\\"coupon_code\\\": \\\"CARIBE25\\\"\\n          }\\n        ]\\n      },\\n      {\\n        \\\"type\\\": \\\"button\\\",\\n        \\\"subtype\\\": \\\"url\\\",\\n        \\\"index\\\": 1,\\n        \\\"parameters\\\": [\\n          {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"n3mtql\\\"\\n          }\\n        ]\\n      }\\n    ]\\n  }\\n}\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })));\n}\n;\nMDXContent.isMDXComponent = true;","tableOfContents":{"items":[{"url":"#coupons","title":"Coupons","items":[{"url":"#body","title":"Body","items":[{"url":"#parameters-object","title":"Parameters object"}]},{"url":"#example","title":"Example","items":[{"url":"#coupons-http-request","title":"Coupons HTTP request"},{"url":"#coupons-body","title":"Coupons body"}]}]},{"url":"#limited-time-offer","title":"Limited-time offer","items":[{"url":"#body-1","title":"Body","items":[{"url":"#limited_time_offer-object","title":"Limited_time_offer object"}]},{"url":"#example-1","title":"Example","items":[{"url":"#limited-time-offer-http-request","title":"Limited-time offer HTTP request"},{"url":"#limited-time-offer-body","title":"Limited-time offer body"}]}]}]},"timeToRead":1,"parent":{"__typename":"File","relativePath":"whatsapp/messaging/with_template/coupons_and_offers.md","fields":{"gitLogLatestAuthorName":"Irais Aguirre","gitLogLatestAuthorEmail":"irais.aguirre@conceptomovil.com","gitLogLatestDate":"6 hours ago"}},"frontmatter":{"metaTitle":null,"showMetadata":null,"editable":null,"showPreviousNext":null,"showToc":null}},"gitBranch":{"name":"20211019-2FACTOR_AUTH"},"gitCommit":{"hash":"9713e1925aeb8cad930f91b6bf05d0b5937b2bb5","date":"2026-11-13 06:39"}},"pageContext":{"id":"1c84872f-df26-585d-986f-ee76c60c3158"}},"staticQueryHashes":["12478684","12478684","2882937274","2882937274","353167761","353167761"]}